Highlighted

Air 33.0.2.315 trouble with game on IOS

New Here ,
Nov 18, 2019

Copy link to clipboard

Copied

Application were worked fine with AIR 32.116. But after upgrade to AIR 33.0.2.315 I have exception from "nowhere":

VerifyError: Error #1053: Illegal override of z in mx.core.BitmapAsset.

 

Googling of that just point to some old issues with SDK or old Flash players, which solved by simple their upgrade.

TOPICS
Development, OS

Views

416

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Air 33.0.2.315 trouble with game on IOS

New Here ,
Nov 18, 2019

Copy link to clipboard

Copied

Application were worked fine with AIR 32.116. But after upgrade to AIR 33.0.2.315 I have exception from "nowhere":

VerifyError: Error #1053: Illegal override of z in mx.core.BitmapAsset.

 

Googling of that just point to some old issues with SDK or old Flash players, which solved by simple their upgrade.

TOPICS
Development, OS

Views

417

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Nov 18, 2019 0
Contributor ,
Nov 18, 2019

Copy link to clipboard

Copied

I ran into the same thing. I also googled and saw the same old issues with the SDK or old Flash players.

I tried leaving the 'application xmlns' set to 32.0 in my app descriptor file, even though I'm using the 33.0 SDK.

The problem went away ...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 18, 2019 0
Contributor ,
Nov 18, 2019

Copy link to clipboard

Copied

Forgot to mention - I do, of course, get a warning telling me that I have the wrong version in my app descriptor file - but everything seems to work...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 18, 2019 0
New Here ,
Nov 19, 2019

Copy link to clipboard

Copied

Wow. Thank you for information. I'll check it out.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 19, 2019 0
Engaged ,
Nov 19, 2019

Copy link to clipboard

Copied

Is there a reason you're using AIR 33 already for an iOS build?  I don't believe Harman has done anything for iOS yet in AIR 33 since they're still only focused on Android with the other platforms being updated in a future release.  The only thing they may have done for iOS is trying to fix compiling issues on a Mac if you upgraded to Catalina already. 

 

We're still using AIR 32 for our iOS releases until Harman officially starts supporting it, and haven't had any issues with sticking with 32 for now.  If you do switch to AIR 33 for any releases, like Douglas mentioned you will need to use 32.0 in the app descriptor, they have information about this and a few other compiler workarounds in the Release Notes documentation.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 19, 2019 0
rewb0rn LATEST
Advocate ,
Nov 21, 2019

Copy link to clipboard

Copied

I believe Harman is already working on iOS, since they introduced a problem with iOS builds in Air 33.0.2.288 which they fixed in Air 33.0.2.315. My guess is that they are at least using their own pipeline to build the ecosystem now instead of including the SDK from Adobe.

 

On topic: Harman have decided to keep the target version code 32 even for Air 33 because Animate was not supporting a target of 33, yet. Have a look at the release notes under 3.1.1: https://airsdk.harman.com/assets/pdfs/Release_Notes_AIR_SDK.pdf

 

I don't know why the SDK would behave differently with version code 33, though, but I guess it is intended to be used with version code 32 only.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 21, 2019 0